diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/CertUtil.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/CertUtil.java
index 5e1bd5e809a46d1138b2b09abbcf21511a5da8d9..2934b3ebe3cf3d1961f81bc1f894e6d1b54325c9 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/CertUtil.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/CertUtil.java
@@ -643,8 +643,8 @@ public class CertUtil {
         try {
             privKey = cm.findPrivKeyByCert(cert);
         } catch (Exception e) {
-            CMS.debug("CertUtil privateKeyExistsOnToken: cant find private key (" + fullnickname + ") exception: "
-                    + e.toString());
+            CMS.debug("CertUtil privateKeyExistsOnToken: cant find private key ("
+                    + fullnickname + ") exception: " + e.toString());
             return false;
         }
 
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/DatabasePanel.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/DatabasePanel.java
index bd3a31770bd22851c33833baa54aaf716d3e704d..02a99283273462e2bea248d23e97e4526f82f5db 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/DatabasePanel.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/DatabasePanel.java
@@ -1035,8 +1035,8 @@ public class DatabasePanel extends WizardPanelBase {
         // setup replication after indexes have been created
         if (select.equals("clone")) {
             CMS.debug("Start setting up replication.");
-            setupReplication(request, context, (secure.equals("on") ? "true" : "false"),
-                    (cloneStartTLS.equals("on") ? "true" : "false"));
+            setupReplication(request, context, (secure.equals("on") ? "true" : "false"), (cloneStartTLS.equals("on")
+                    ? "true" : "false"));
             CMS.debug("Finish setting up replication.");
 
             try {
@@ -1318,8 +1318,8 @@ public class DatabasePanel extends WizardPanelBase {
                 }
                 return id;
             } else {
-                CMS.debug("DatabasePanel enableReplication: Failed to create " + replicadn + " entry. Exception: "
-                        + e.toString());
+                CMS.debug("DatabasePanel enableReplication: Failed to create "
+                        + replicadn + " entry. Exception: " + e.toString());
                 return id;
             }
         }
@@ -1378,8 +1378,8 @@ public class DatabasePanel extends WizardPanelBase {
                     throw ee;
                 }
             } else {
-                CMS.debug("DatabasePanel createReplicationAgreement: Failed to create " + dn + " entry. Exception: "
-                        + e.toString());
+                CMS.debug("DatabasePanel createReplicationAgreement: Failed to create "
+                        + dn + " entry. Exception: " + e.toString());
                 throw e;
             }
         }
@@ -1391,8 +1391,8 @@ public class DatabasePanel extends WizardPanelBase {
             String name) {
         String dn = "cn=" + name + "," + replicadn;
         CMS.debug("DatabasePanel initializeConsumer: initializeConsumer dn: " + dn);
-        CMS.debug("DatabasePanel initializeConsumer: initializeConsumer host: " + conn.getHost() + " port: "
-                + conn.getPort());
+        CMS.debug("DatabasePanel initializeConsumer: initializeConsumer host: "
+                + conn.getHost() + " port: " + conn.getPort());
         try {
             LDAPAttribute attr = new LDAPAttribute("nsds5beginreplicarefresh",
                     "start");
@@ -1487,9 +1487,9 @@ public class DatabasePanel extends WizardPanelBase {
         try {
             String filter = "(objectclass=*)";
             String[] attrs = { "nsslapd-directory" };
-            LDAPSearchResults results = conn.search("cn=config,cn=ldbm database,cn=plugins,cn=config",
-                    LDAPv3.SCOPE_SUB,
-                    filter, attrs, false);
+            LDAPSearchResults results =
+                    conn.search("cn=config,cn=ldbm database,cn=plugins,cn=config", LDAPv3.SCOPE_SUB,
+                            filter, attrs, false);
 
             while (results.hasMoreElements()) {
                 LDAPEntry entry = results.next();
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/DisplayCertChainPanel.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/DisplayCertChainPanel.java
index c24992cb45c99b1d4fbbad0da95369c7979abb57..2f58317946fefa4e87b6cf5248d1788cce0f35be 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/DisplayCertChainPanel.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/DisplayCertChainPanel.java
@@ -195,11 +195,14 @@ public class DisplayCertChainPanel extends WizardPanelBase {
                 String cs_hostname = cs.getString("machineName", "");
                 int cs_port = cs.getInteger("pkicreate.admin_secure_port", -1);
                 String subsystem = cs.getString("cs.type", "");
-                String urlVal = "https://" + cs_hostname + ":" + cs_port + "/" + toLowerCaseSubsystemType(subsystem)
-                        + "/admin/console/config/wizard?p=" + panel + "&subsystem=" + subsystem;
+                String urlVal =
+                        "https://"
+                                + cs_hostname + ":" + cs_port + "/" + toLowerCaseSubsystemType(subsystem)
+                                + "/admin/console/config/wizard?p=" + panel + "&subsystem=" + subsystem;
                 String encodedValue = URLEncoder.encode(urlVal, "UTF-8");
-                String sdurl = "https://" + sd_hostname + ":" + sd_port + "/ca/admin/ca/securityDomainLogin?url="
-                        + encodedValue;
+                String sdurl =
+                        "https://"
+                                + sd_hostname + ":" + sd_port + "/ca/admin/ca/securityDomainLogin?url=" + encodedValue;
                 response.sendRedirect(sdurl);
 
                 // The user previously specified the CA Security Domain's
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/DonePanel.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/DonePanel.java
index 388570531881e99ff899b52306eada72953d1bba..ffadf58842bb97b3f7d25d4e3582a7d421d945a0 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/DonePanel.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/DonePanel.java
@@ -495,14 +495,14 @@ public class DonePanel extends WizardPanelBase {
                     } else {
                         serialdn = "ou=keyRepository,ou=" + type.toLowerCase() + "," + basedn;
                     }
-                    LDAPAttribute attrSerialNextRange = new LDAPAttribute("nextRange", endSerialNum.add(oneNum)
-                            .toString());
+                    LDAPAttribute attrSerialNextRange =
+                            new LDAPAttribute("nextRange", endSerialNum.add(oneNum).toString());
                     LDAPModification serialmod = new LDAPModification(LDAPModification.REPLACE, attrSerialNextRange);
                     conn.modify(serialdn, serialmod);
 
                     String requestdn = "ou=" + type.toLowerCase() + ",ou=requests," + basedn;
-                    LDAPAttribute attrRequestNextRange = new LDAPAttribute("nextRange", endRequestNum.add(oneNum)
-                            .toString());
+                    LDAPAttribute attrRequestNextRange =
+                            new LDAPAttribute("nextRange", endRequestNum.add(oneNum).toString());
                     LDAPModification requestmod = new LDAPModification(LDAPModification.REPLACE, attrRequestNextRange);
                     conn.modify(requestdn, requestmod);
 
@@ -777,12 +777,15 @@ public class DonePanel extends WizardPanelBase {
         } else {
             CMS.debug("DonePanel: Transport certificate is being setup in " + url);
             String session_id = CMS.getConfigSDSessionId();
-            String content = "ca.connector.KRA.enable=true&ca.connector.KRA.local=false&ca.connector.KRA.timeout=30&ca.connector.KRA.uri=/kra/agent/kra/connector&ca.connector.KRA.host="
-                    + ownagenthost
-                    + "&ca.connector.KRA.port="
-                    + ownagentsport
-                    + "&ca.connector.KRA.transportCert="
-                    + URLEncoder.encode(transportCert) + "&sessionID=" + session_id;
+            String content =
+                    "ca.connector.KRA.enable=true&ca.connector.KRA.local=false&ca.connector.KRA.timeout=30&ca.connector.KRA.uri=/kra/agent/kra/connector&ca.connector.KRA.host="
+                            + ownagenthost
+                            + "&ca.connector.KRA.port="
+                            + ownagentsport
+                            + "&ca.connector.KRA.transportCert="
+                            + URLEncoder.encode(transportCert)
+                            + "&sessionID="
+                            + session_id;
 
             updateConnectorInfo(host, port, true, content);
         }
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/NamePanel.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/NamePanel.java
index 4f6df0f0b810ef8f422c44ace7b92a47cbef9164..9e0ca6f381d47efa33d72a066d60f490707964d4 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/NamePanel.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/NamePanel.java
@@ -491,9 +491,11 @@ public class NamePanel extends WizardPanelBase {
                 String machineName = config.getString("machineName", "");
                 String securePort = config.getString("service.securePort", "");
                 if (certTag.equals("subsystem")) {
-                    String content = "requestor_name=" + sysType + "-" + machineName + "-" + securePort + "&profileId="
-                            + profileId + "&cert_request_type=pkcs10&cert_request="
-                            + URLEncoder.encode(pkcs10, "UTF-8") + "&xmlOutput=true&sessionID=" + session_id;
+                    String content =
+                            "requestor_name="
+                                    + sysType + "-" + machineName + "-" + securePort + "&profileId=" + profileId
+                                    + "&cert_request_type=pkcs10&cert_request=" + URLEncoder.encode(pkcs10, "UTF-8")
+                                    + "&xmlOutput=true&sessionID=" + session_id;
                     cert = CertUtil.createRemoteCert(sd_hostname, sd_ee_port,
                             content, response, this);
                     if (cert == null) {
@@ -508,9 +510,11 @@ public class NamePanel extends WizardPanelBase {
                     } catch (Exception ee) {
                     }
 
-                    String content = "requestor_name=" + sysType + "-" + machineName + "-" + securePort + "&profileId="
-                            + profileId + "&cert_request_type=pkcs10&cert_request="
-                            + URLEncoder.encode(pkcs10, "UTF-8") + "&xmlOutput=true&sessionID=" + session_id;
+                    String content =
+                            "requestor_name="
+                                    + sysType + "-" + machineName + "-" + securePort + "&profileId=" + profileId
+                                    + "&cert_request_type=pkcs10&cert_request=" + URLEncoder.encode(pkcs10, "UTF-8")
+                                    + "&xmlOutput=true&sessionID=" + session_id;
                     cert = CertUtil.createRemoteCert(ca_hostname, ca_port,
                             content, response, this);
                     if (cert == null) {
@@ -651,8 +655,8 @@ public class NamePanel extends WizardPanelBase {
                         config.commit(false);
                     }
                 } catch (Exception e) {
-                    CMS.debug("NamePanel: configCertWithTag: Exception in setting nickname for " + ct + ": "
-                            + e.toString());
+                    CMS.debug("NamePanel: configCertWithTag: Exception in setting nickname for "
+                            + ct + ": " + e.toString());
                 }
 
                 configCert(request, response, context, cert);
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/RestoreKeyCertPanel.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/RestoreKeyCertPanel.java
index dde150485bcd280bdf1982c1aeb08802882bdb6d..0ae5507070790e439dbeb97d4a4f6895e1eb9fbb 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/RestoreKeyCertPanel.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/RestoreKeyCertPanel.java
@@ -456,8 +456,13 @@ public class RestoreKeyCertPanel extends WizardPanelBase {
                     s1.append("ca.connector.KRA");
                 }
 
-                content = "op=get&names=cloning.token,instanceId,internaldb.basedn,internaldb.ldapauth.password,internaldb.replication.password,internaldb.ldapconn.host,internaldb.ldapconn.port,internaldb.ldapauth.bindDN"
-                        + c1.toString() + "&substores=" + s1.toString() + "&xmlOutput=true&sessionID=" + session_id;
+                content =
+                        "op=get&names=cloning.token,instanceId,internaldb.basedn,internaldb.ldapauth.password,internaldb.replication.password,internaldb.ldapconn.host,internaldb.ldapconn.port,internaldb.ldapauth.bindDN"
+                                + c1.toString()
+                                + "&substores="
+                                + s1.toString()
+                                + "&xmlOutput=true&sessionID="
+                                + session_id;
                 boolean success = updateConfigEntries(master_hostname, master_port, true,
                         "/" + cstype + "/admin/" + cstype + "/getConfigEntries", content, config, response);
                 if (!success) {
@@ -562,8 +567,8 @@ public class RestoreKeyCertPanel extends WizardPanelBase {
 
                 KeyWrapper wrapper = token.getKeyWrapper(KeyWrapAlgorithm.DES3_CBC_PAD);
                 wrapper.initUnwrap(sk, param);
-                org.mozilla.jss.crypto.PrivateKey pp = wrapper.unwrapPrivate(encpkey, getPrivateKeyType(publickey),
-                        publickey);
+                org.mozilla.jss.crypto.PrivateKey pp =
+                        wrapper.unwrapPrivate(encpkey, getPrivateKeyType(publickey), publickey);
 
             } catch (Exception e) {
                 CMS.debug("RestoreKeyCertPanel importkeycert: Exception=" + e.toString());
@@ -604,8 +609,8 @@ public class RestoreKeyCertPanel extends WizardPanelBase {
                                 | InternalCertificate.VALID_CA);
                     } else if (name.startsWith("auditSigningCert")) {
                         InternalCertificate icert = (InternalCertificate) xcert;
-                        icert.setObjectSigningTrust(InternalCertificate.USER | InternalCertificate.VALID_PEER
-                                | InternalCertificate.TRUSTED_PEER);
+                        icert.setObjectSigningTrust(InternalCertificate.USER
+                                | InternalCertificate.VALID_PEER | InternalCertificate.TRUSTED_PEER);
                     }
                 } else
                     cm.importCACertPackage(cert);
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/SizePanel.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/SizePanel.java
index c4329bda23766e16f5f1e60564165dda0f0f365e..fcb88c917b90ffbc3cda3b1dd39f106a33e23001 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/SizePanel.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/SizePanel.java
@@ -70,11 +70,12 @@ public class SizePanel extends WizardPanelBase {
     public PropertySet getUsage() {
         PropertySet set = new PropertySet();
 
-        Descriptor choiceDesc = new Descriptor(
-                IDescriptor.CHOICE,
-                "default,custom",
-                null, /* no default parameter */
-                "If 'default', the key size will be configured automatically. If 'custom', the key size will be set to the value of the parameter 'custom_size'.");
+        Descriptor choiceDesc =
+                new Descriptor(
+                        IDescriptor.CHOICE,
+                        "default,custom",
+                        null, /* no default parameter */
+                        "If 'default', the key size will be configured automatically. If 'custom', the key size will be set to the value of the parameter 'custom_size'.");
 
         set.add("choice", choiceDesc);
 
@@ -625,8 +626,9 @@ public class SizePanel extends WizardPanelBase {
             s = config.getString("preop.ecc.algorithm.list", "SHA256withEC,SHA1withEC,SHA384withEC,SHA512withEC");
             context.put("ecclist", s);
 
-            s = config.getString("preop.rsa.algorithm.list",
-                    "SHA256withRSA,SHA1withRSA,SHA512withRSA,MD5withRSA,MD2withRSA");
+            s =
+                    config.getString("preop.rsa.algorithm.list",
+                            "SHA256withRSA,SHA1withRSA,SHA512withRSA,MD5withRSA,MD2withRSA");
             context.put("rsalist", s);
 
             s = config.getString("keys.ecc.curve.list", "nistp256");
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/WizardPanelBase.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/WizardPanelBase.java
index 7b381383bdd5cce43f9a0e70a26b1c727d99c9c4..93893bff115f177344d01b40d9e732625fae9110 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/WizardPanelBase.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/WizardPanelBase.java
@@ -1630,8 +1630,10 @@ public class WizardPanelBase implements IWizardPanel {
             int cs_port = cs.getInteger("pkicreate.admin_secure_port", -1);
             int panel = getPanelNo();
             String subsystem = cs.getString("cs.type", "");
-            String urlVal = "https://" + cs_hostname + ":" + cs_port + "/" + toLowerCaseSubsystemType(subsystem)
-                    + "/admin/console/config/wizard?p=" + panel + "&subsystem=" + subsystem;
+            String urlVal =
+                    "https://"
+                            + cs_hostname + ":" + cs_port + "/" + toLowerCaseSubsystemType(subsystem)
+                            + "/admin/console/config/wizard?p=" + panel + "&subsystem=" + subsystem;
             String encodedValue = URLEncoder.encode(urlVal, "UTF-8");
             String sdurl = "https://" + hostname + ":" + port + "/ca/admin/ca/securityDomainLogin?url=" + encodedValue;
             response.sendRedirect(sdurl);
diff --git a/pki/base/common/src/com/netscape/cms/servlet/ocsp/CheckCertServlet.java b/pki/base/common/src/com/netscape/cms/servlet/ocsp/CheckCertServlet.java
index 5ccb87125af25e76a87baaf75c2701a9182d529c..8d2c5a28b476d2dc9a76f590b3a533a281232073 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/ocsp/CheckCertServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/ocsp/CheckCertServlet.java
@@ -192,8 +192,8 @@ public class CheckCertServlet extends CMSServlet {
         } catch (Exception e) {
             header.addStringValue(ATTR_STATUS, STATUS_UNKNOWN);
         }
-        log(ILogger.EV_AUDIT, AuditFormat.LEVEL, "Checked Certificate Status " + cert.getIssuerDN().getName() + " "
-                + cert.getSerialNumber().toString());
+        log(ILogger.EV_AUDIT, AuditFormat.LEVEL, "Checked Certificate Status "
+                + cert.getIssuerDN().getName() + " " + cert.getSerialNumber().toString());
 
         try {
             ServletOutputStream out = resp.getOutputStream();
diff --git a/pki/base/common/src/com/netscape/cms/servlet/ocsp/ListCAServlet.java b/pki/base/common/src/com/netscape/cms/servlet/ocsp/ListCAServlet.java
index 6b9d209448c5397ff3b1d6608bd6bc018bcfdb4f..83eaca45f33784471a218334502dbc0e8cb6f063 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/ocsp/ListCAServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/ocsp/ListCAServlet.java
@@ -128,7 +128,7 @@ public class ListCAServlet extends CMSServlet {
         CMSTemplateParams argSet = new CMSTemplateParams(header, fixed);
 
         IDefStore defStore = mOCSPAuthority.getDefaultStore();
-        Enumeration recs = defStore.searchAllCRLIssuingPointRecord(100);
+        Enumeration<Object> recs = defStore.searchAllCRLIssuingPointRecord(100);
 
         // show the current CRL number if present
         header.addStringValue("stateCount",
diff --git a/pki/base/common/src/com/netscape/cms/servlet/processors/CMCProcessor.java b/pki/base/common/src/com/netscape/cms/servlet/processors/CMCProcessor.java
index 81d34a65d3cc68a35dfb85a847195c9cbd9e1366..51655f973c4b3d1885ea2547cd7069c7d275ac91 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/processors/CMCProcessor.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/processors/CMCProcessor.java
@@ -305,8 +305,9 @@ public class CMCProcessor extends PKIProcessor {
                     PublicKey signKey = null;
 
                     while (signKey == null && j < numReqs) {
-                        X509Key subjectKeyInfo = (X509Key) ((CertificateX509Key) certInfoArray[j].get(X509CertInfo.KEY))
-                                .get(CertificateX509Key.KEY);
+                        X509Key subjectKeyInfo =
+                                (X509Key) ((CertificateX509Key) certInfoArray[j].get(X509CertInfo.KEY))
+                                        .get(CertificateX509Key.KEY);
                         MessageDigest md = MessageDigest.getInstance("SHA-1");
 
                         md.update(subjectKeyInfo.getEncoded());
diff --git a/pki/base/common/src/com/netscape/cms/servlet/processors/CRMFProcessor.java b/pki/base/common/src/com/netscape/cms/servlet/processors/CRMFProcessor.java
index 094ea263c36a6395ce5af5a1a1505eadc240deed..641017cc887d4e7e681c99792e2e0aee864a1201 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/processors/CRMFProcessor.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/processors/CRMFProcessor.java
@@ -196,8 +196,8 @@ public class CRMFProcessor extends PKIProcessor {
             // field suggested notBefore and notAfter in CRMF
             // Tech Support #383184
             if (certTemplate.getNotBefore() != null || certTemplate.getNotAfter() != null) {
-                CertificateValidity certValidity = new CertificateValidity(certTemplate.getNotBefore(),
-                        certTemplate.getNotAfter());
+                CertificateValidity certValidity =
+                        new CertificateValidity(certTemplate.getNotBefore(), certTemplate.getNotAfter());
 
                 certInfo.set(X509CertInfo.VALIDITY, certValidity);
             }
